Subject: Re: bug#66598: Missing options from emacsclient man page

From: Michael Albinus <[email-masked]>
Date: Wed, 18 Oct 2023 07:16:27 +0200

Peter Oliver <[email-masked]> writes:

Hi Peter,

>> Since Emacs 26, emacsclient is prepared for this. If you call
>> "emacsclient --tramp=<PREFIX>", all file names on the server side,
>> emacsclient sends as "/path/to/file", are "<PREFIX>/path/to/file".
>
> Attached is a patch to mention this (and other) options in the emacsclient man page.

Thanks for the report. Yes, the recent options haven't been added to the
man page. I've seen this while writing my message you've quoted, and
I've fixed this in the emacs-29 branch two days ago.

Since I'm not that fluent with the nroff format, you might cross-check
whether everything is right. And perhaps we could also add an
ENVIRONMENT section.

> Peter Oliver

Best regards, Michael.